W3C home > Mailing lists > Public > public-qt-comments@w3.org > February 2016

[Bug 29453] New: [xslt30ts] package-019 - use package via xsl:include

From: <bugzilla@jessica.w3.org>
Date: Sun, 14 Feb 2016 10:11:44 +0000
To: public-qt-comments@w3.org
Message-ID: <bug-29453-523@http.www.w3.org/Bugs/Public/>
https://www.w3.org/Bugs/Public/show_bug.cgi?id=29453

            Bug ID: 29453
           Summary: [xslt30ts] package-019 - use package via xsl:include
           Product: XPath / XQuery / XSLT
           Version: Candidate Recommendation
          Hardware: PC
                OS: All
            Status: NEW
          Severity: normal
          Priority: P2
         Component: XSLT 3.0
          Assignee: mike@saxonica.com
          Reporter: mike@saxonica.com
        QA Contact: public-qt-comments@w3.org
  Target Milestone: ---

Perhaps a spec issue, perhaps a test issue.

The spec says in 3.5.2:

When components in one package reference components in another, the dependency
of the first package on the second must be represented by an xsl:use-package
element in the package manifest of the first package.

This appears to prohibit what this test is attempting, which is to have the
xsl:use-package declaration in an included module.

-- 
You are receiving this mail because:
You are the QA Contact for the bug.
Received on Sunday, 14 February 2016 10:11:46 UTC

This archive was generated by hypermail 2.4.0 : Friday, 17 January 2020 16:57:59 UTC